### Method

# Ide DiagnosticsManager rediagnose

#### Declaration

    void
    ide_diagnostics_manager_rediagnose (
      IdeDiagnosticsManager* self,
      IdeBuffer* buffer
    )

#### Description

Requests that the diagnostics be reloaded for `buffer`.

You may want to call this if you changed something that a buffer depends on, and want to seamlessly update its diagnostics with that updated information.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.